@echo off
title Performance Script
color 0b
cls

rem *****************************************************
rem Define a couple of server names.
rem *****************************************************

set FS1=server1
set FS2=server2

set DIVIDER=+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

echo Preparing log directories for first use.

rem *****************************************************
rem Delete all occurences of append.flg if they exist.
rem If they don't, redirect STDERR to nul.
rem *****************************************************

cd f:\temp
del *.flg /s 2> nul > nul

rem *****************************************************
rem Start looping through daily log construction.
rem *****************************************************

:BEGIN_LOOP
cls
f:\temp\getdate.exe > nul

if errorlevel 7 goto SAT
if errorlevel 6 goto FRI
if errorlevel 5 goto THU
if errorlevel 4 goto WED
if errorlevel 3 goto TUE
if errorlevel 2 goto MON
if errorlevel 1 goto SUN

:SAT
set CURRDIR=sat
set NEXTDIR=sun
echo Building output for Saturday.
goto SECTION_2

:FRI
set CURRDIR=fri
set NEXTDIR=sat
echo Building output for Friday.
goto SECTION_2

:THU
set CURRDIR=thu
set NEXTDIR=fri
echo Building output for Thursday.
goto SECTION_2

:WED
set CURRDIR=wed
set NEXTDIR=thu
echo Building output for Wednesday.
goto SECTION_2

:TUE
set CURRDIR=tue
set NEXTDIR=wed
echo Building output for Tuesday.
goto SECTION_2

:MON
set CURRDIR=mon
set NEXTDIR=tue
echo Building output for Monday.
goto SECTION_2

:SUN
set CURRDIR=sun
set NEXTDIR=mon
echo Building output for Sunday.
goto SECTION_2

:SECTION_2
echo Batch collection started at:
time /t
if exist f:\temp\%CURRDIR%\fs1\process\append.flg goto APPEND

rem *****************************************************
rem Directory not flagged for append so initialize log
rem file.
rem *****************************************************

time /t > f:\temp\%CURRDIR%\fs1\process\process.log
f:\temp\procinfo.exe %FS1% 230 4000 >> f:\temp\%CURRDIR%\fs1\process\process.log
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs1\process\process.log

time /t > f:\temp\%CURRDIR%\fs1\memory\memory.log
f:\temp\meminfo.exe %FS1% 4 4000 >> f:\temp\%CURRDIR%\fs1\memory\memory.log
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs1\memory\memory.log

time /t > f:\temp\%CURRDIR%\fs2\process\process.log
f:\temp\procinfo.exe %FS2% 230 4000 >> f:\temp\%CURRDIR%\fs2\process\process.log
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs2\process\process.log

time /t > f:\temp\%CURRDIR%\fs2\system\system.log
f:\temp\sysinfo.exe %FS2% 2 4000 >> f:\temp\%CURRDIR%\fs2\system\system.log
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs2\system\system.log

rem *****************************************************
rem Flag directory so remaining entries are appended.
rem *****************************************************

copy f:\temp\append.tpl f:\temp\%CURRDIR%\fs1\process\*.flg > nul
copy f:\temp\append.tpl f:\temp\%CURRDIR%\fs1\memory\*.flg > nul
copy f:\temp\append.tpl f:\temp\%CURRDIR%\fs2\process\*.flg > nul
copy f:\temp\append.tpl f:\temp\%CURRDIR%\fs2\system\*.flg > nul

rem *****************************************************
rem Flag next day's log directory to overwrite log.
rem *****************************************************

del f:\temp\%NEXTDIR%\fs1\process\append.flg 2> nul > nul
del f:\temp\%NEXTDIR%\fs1\memory\append.flg 2> nul > nul
del f:\temp\%NEXTDIR%\fs2\process\append.flg 2> nul > nul
del f:\temp\%NEXTDIR%\fs2\system\append.flg 2> nul > nul

goto FINISHED

:APPEND

time /t >> f:\temp\%CURRDIR%\fs1\process\process.log
f:\temp\procinfo.exe %FS1% 230 4000 >> f:\temp\%CURRDIR%\fs1\process\process.log
rem errorlevel detection for PROCINFO goes here.
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs1\process\process.log

time /t >> f:\temp\%CURRDIR%\fs1\memory\memory.log
f:\temp\meminfo.exe %FS1% 4 4000 >> f:\temp\%CURRDIR%\fs1\memory\memory.log
rem errorlevel detection for MEMINFO goes here.
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs1\memory\memory.log

time /t >> f:\temp\%CURRDIR%\fs2\process\process.log
f:\temp\procinfo.exe %FS2% 230 4000 >> f:\temp\%CURRDIR%\fs2\process\process.log
rem errorlevel detection for PROCINFO goes here.
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs2\process\process.log

time /t >> f:\temp\%CURRDIR%\fs2\system\system.log
f:\temp\sysinfo.exe %FS2% 2 4000 >> f:\temp\%CURRDIR%\fs2\system\system.log
rem errorlevel detection for SYSINFO goes here.
echo %DIVIDER% >> f:\temp\%CURRDIR%\fs2\system\system.log

:FINISHED

echo Batch collection ended at:
time /t
f:\temp\suspend.exe 600

goto BEGIN_LOOP
